Subject: Re: DAD in 2g/3g hosts (was: Review comments on IPv6 for Second and Third Generation Cellular Hosts)

From: Margaret Wasserman <[email-masked]>
Date: Tue, 30 Apr 2002 10:41:54 -0400

Hi John,

At 06:41 AM 4/30/02 , [email-masked] wrote:
>As pointed out, the draft you have edited (draft-ietf-ipv6-3gpp-recommend-02.txt)
>states:
>
>   7.1 Limitations of 3GPP Address Assignment
>
>     The current 3GPP address assignment mechanism has the following
>     limitations:
>
>          The GGSN only advertises a single /64 prefix, rather than a
>          set of prefixes.  This will prevent the participation of 3GPP
>          nodes (e.g. handsets or 3GPP-attached laptops) in IPv6 site
>          renumbering, or in other mechanisms that expect IPv6 hosts to
>          create addresses based on multiple advertised prefixes.
>
>          A 3GPP node is assigned a single identifier and is not allowed
>          to generate additional identifiers.  This will prevent the use
>          of privacy addresses by 3GPP nodes.  This also makes 3GPP
>          mechanisms not fully compliant with the expected behavior of
>          IPv6 nodes, which will result in incompatibility with popular
>          laptop IPv6 stacks.  For example, a laptop that uses privacy
>          addresses for web browser connections could not currently not
>          currently establish a web browser connection over a 3GPP link.
>
>As our draft is not meant to change either IETF nor 3GPP specifications,
>we cannot make any additional claims.

The recommendations draft will only be an informational RFC.  It doesn't
define the behaviour of 3GPP or IPv6.

I understand that the 3GPP changed the behaviour of 3GPP in this area, based 
on this draft, so I don't believe that the above paragraphs still apply.  They also
don't indicate anything about how/if the GGSN can assign addresses to 
itself. 

>Is there something that you wish to see in our document to fully cover
>this?  One possiblility would be to add the following text to the end
>of 2.5.1:
>
>   If Privacy Addresses are used [RFC-3041], then DupAddrDetectTransmits 
>   should not be set to zero.

Perhaps this would work...

However, it may not be necessary.  Several people have stated that the GGSN
is prohibited, but the 3GPP specs, from allocating any addresses in the prefix
that it assigns to the handset.  I haven't been able to find this in the specs (although
I admit that I am not really a 3GPP expert).  If it is true, though, then DAD is
actually unnecessary on 3GPP links, and DupAddrDetectTransmits can always
by zero.

Can you site a particular passage in the 3GPP specs that prohibits the GGSN
from allocating any addresses (for its own use) within the prefix assigned to each
PDP context?  If so, DupAddrDetectTransmits=0 is fine.

Thanks,
Margaret

--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------